Create payment intent
curl --request POST \
--url https://api.natural.com/payment-intents \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"data": {
"attributes": {
"amountMinor": 4620,
"currency": "USD",
"description": "Order 8842",
"taxMode": "exclusive",
"taxAmountMinor": 420,
"lineItems": [
{
"merchantReference": "menu_item_31",
"description": "Margherita pizza",
"quantity": 2,
"unitAmountMinor": 1800,
"subtotalMinor": 3600,
"taxMinor": 320,
"totalMinor": 3920,
"taxCode": "prepared_food"
},
{
"merchantReference": "menu_item_77",
"description": "Sparkling water",
"quantity": 1,
"unitAmountMinor": 600,
"subtotalMinor": 600,
"taxMinor": 100,
"totalMinor": 700,
"taxCode": "beverage"
}
]
}
}
}
'import requests
url = "https://api.natural.com/payment-intents"
payload = { "data": { "attributes": {
"amountMinor": 4620,
"currency": "USD",
"description": "Order 8842",
"taxMode": "exclusive",
"taxAmountMinor": 420,
"lineItems": [
{
"merchantReference": "menu_item_31",
"description": "Margherita pizza",
"quantity": 2,
"unitAmountMinor": 1800,
"subtotalMinor": 3600,
"taxMinor": 320,
"totalMinor": 3920,
"taxCode": "prepared_food"
},
{
"merchantReference": "menu_item_77",
"description": "Sparkling water",
"quantity": 1,
"unitAmountMinor": 600,
"subtotalMinor": 600,
"taxMinor": 100,
"totalMinor": 700,
"taxCode": "beverage"
}
]
} } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: {
attributes: {
amountMinor: 4620,
currency: 'USD',
description: 'Order 8842',
taxMode: 'exclusive',
taxAmountMinor: 420,
lineItems: [
{
merchantReference: 'menu_item_31',
description: 'Margherita pizza',
quantity: 2,
unitAmountMinor: 1800,
subtotalMinor: 3600,
taxMinor: 320,
totalMinor: 3920,
taxCode: 'prepared_food'
},
{
merchantReference: 'menu_item_77',
description: 'Sparkling water',
quantity: 1,
unitAmountMinor: 600,
subtotalMinor: 600,
taxMinor: 100,
totalMinor: 700,
taxCode: 'beverage'
}
]
}
}
})
};
fetch('https://api.natural.com/payment-intents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"type": "paymentIntent",
"id": "pmi_019d0a1b2c3d4e5f60718293a4b5c6d7",
"attributes": {
"amountMinor": 4620,
"currency": "USD",
"description": "Order 8842",
"status": "open",
"paymentId": null,
"mandateSetup": null,
"taxMode": "exclusive",
"taxAmountMinor": 420,
"lineItems": [
{
"id": "pli_019d0a1b2c3d4e5f60718293a4b5c6e1",
"position": 0,
"merchantReference": "menu_item_31",
"description": "Margherita pizza",
"quantity": 2,
"unitAmountMinor": 1800,
"subtotalMinor": 3600,
"taxMinor": 320,
"totalMinor": 3920,
"taxCode": "prepared_food"
},
{
"id": "pli_019d0a1b2c3d4e5f60718293a4b5c6e2",
"position": 1,
"merchantReference": "menu_item_77",
"description": "Sparkling water",
"quantity": 1,
"unitAmountMinor": 600,
"subtotalMinor": 600,
"taxMinor": 100,
"totalMinor": 700,
"taxCode": "beverage"
}
],
"expiresAt": null,
"canceledAt": null,
"createdAt": "2026-09-09T18:00:00.000Z",
"updatedAt": "2026-09-09T18:00:00.000Z",
"cardPayment": null
},
"relationships": {
"customerParty": {
"data": {
"type": "party",
"id": "pty_019cd1798d617f65a79cb965dda9eac3"
}
},
"voiceSession": {
"data": null
}
}
},
"meta": {
"payUrl": "https://www.natural.com/checkout#chk_3f9a1c7e2b8d4e6f"
}
}{
"errors": [
{
"code": "invalid_value",
"detail": "The information you entered isn't valid. Please check it and try again.",
"status": "400",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "unauthenticated",
"detail": "Authentication is required.",
"status": "401",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "forbidden",
"detail": "You do not have permission to perform this action.",
"status": "403",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_found",
"detail": "The requested resource was not found.",
"status": "404",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "conflict",
"detail": "The request conflicts with the current resource state.",
"status": "409",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "invalid_value",
"detail": "Too big: expected string to have <=80 characters",
"status": "422",
"source": {
"pointer": "/data/attributes/description"
},
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "mfa_required",
"detail": "MFA verification required",
"status": "428",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "rate_limited",
"detail": "Too many requests. Please try again later.",
"status": "429",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "server_error",
"detail": "Something went wrong.",
"status": "500",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "not_implemented",
"detail": "This operation is not available.",
"status": "501",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "bad_gateway",
"detail": "We couldn't complete that request because one of Natural's services returned an unexpected response. Please try again.",
"status": "502",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}{
"errors": [
{
"code": "service_unavailable",
"detail": "The service is temporarily unavailable.",
"status": "503",
"meta": {
"supportId": "req_a1b2c3d4e5f6"
}
}
]
}Payment Intents
Create payment intent
Create a payment intent. The hosted checkout link is returned only once, or not at all when collect charges a card agreement.
POST
/
payment-intents
Create payment intent
Authorizations
Bearer authentication: send your API key, agent key, or OAuth access token as Authorization: Bearer <credential>.
Headers
Caller-chosen identifier for the agent run, session, or conversation, required when an agent moves money.
Maximum string length:
1024Body
application/json
Show child attributes
Show child attributes
Was this page helpful?